<div class="container-scroller" *ngIf="singleProduct">


    <!-- partial -->
    <div class="container-fluid">

        <!-- partial -->
        <div class="">
            <div class="content-wrapper p-0">
                <div class="bg-white">
                    <div class="after-con pt-3">
                        <div class="">
                            <div class="row no-gutters">
                                <div class="col-md-5 pr-2">
                                    <div class="">
                                        <div *ngIf="singleProduct.images.length != 0;else other_content">

                                            <img src="{{baseurl}}static/public/{{singleProduct.images[0]}}" alt="5"
                                                class="proImg2">

                                        </div>
                                        <ng-template #other_content>
                                            <img class="pic-1" src="./assets/build/img/nopro2.png">
                                        </ng-template>

                                        <!-- <div>
                                            <ul class="bottom-sml">
                                                <li *ngFor="let img of singleProduct.images">
                                                    <a><img src="{{baseurl}}static/public/{{img}}" /></a>
                                                </li>

                                            </ul>
                                        </div> -->
                                    </div>
                                    <div class="table-responsive mt-4">
                                        <table class="table table-bordered tbl-sp"
                                            *ngIf="singleProduct.spec_attributes">
                                            <tbody>

                                                <tr *ngFor="let obj of singleProduct.spec_attributes">
                                                    <td>{{obj.attribute}}</td>
                                                    <td>{{obj.value}}</td>
                                                </tr>
                                                <!---->
                                            </tbody>
                                        </table>
                                        <!---->
                                    </div>

                                </div>
                                <div class="col-md-7">
                                    <div class="">


                                        <div class="about">
                                            <h3 class="font-weight-bold pb-2">{{singleProduct.title}}</h3>

                                            <h4 class="font-weight-bold">{{singleProduct.auction_price}} CFA</h4>
                                            <h5>Date de début de l'enchère : {{singleProduct.auction_start_date |date:'MMM d, y  hh\'h\'mm'}}</h5>
                                            <h5>Date de fin de l'enchère : {{singleProduct.auction_end_date |date:'MMM d, y  hh\'h\'mm'}}</h5>
                                        </div>


                                        <hr>
                                        <div class="product-description">

                                            <div class="d-flex flex-row align-items-center"> <span class="">SKU-
                                                    {{singleProduct.sku}}</span> </div>
                                            <div class="d-flex flex-row align-items-center"> <span class="">Catégorie-
                                                    {{singleProduct.catagory}}</span> </div>
                                            <div class="mt-2">
                                                <span class="font-weight-bold">Description</span>
                                                <p>{{singleProduct.description}}</p>
                                                <div class="bullets">
                                                    <div class="d-flex align-items-center"> <span class="dot"></span>
                                                        <span class="bullet-text">Stock - {{singleProduct.stock}}</span>
                                                    </div>
                                                    <div class="d-flex align-items-center"> <span class="dot"></span>
                                                        <span class="bullet-text">Condition -
                                                            <span *ngIf="singleProduct.condition">Nouveau</span>
                                                            <span *ngIf="singleProduct.condition == false">Ancienne</span>
                                                        </span>
                                                    </div>
                                                    <div class="d-flex align-items-center"> <span class="dot"></span>
                                                        <span class="bullet-text">Marchandises dangereuses -
                                                            <span
                                                                *ngIf="singleProduct.dangerous_goods == true">Non</span>
                                                            <span
                                                                *ngIf="singleProduct.dangerous_goods == false">Oui</span>
                                                        </span>
                                                    </div>
                                                    <div class="d-flex align-items-center"> <span class="dot"></span>
                                                        <span class="bullet-text">La vente aux enchères -
                                                            <span *ngIf="singleProduct.is_auction == true">Oui</span>
                                                            <span *ngIf="singleProduct.is_auction == false">Non
                                                                Active</span>
                                                        </span>
                                                    </div>

                                                </div>
                                            </div>
                                            <div class="col-9 mt-5" *ngIf="Allbids">
                                                <div class="d-flex pt-3" style="gap:15px; border-bottom: 1px solid #666;" *ngFor="let item of Allbids">
                                                    <div>
                                                        <img  src="assets/build/img/nouser.png" style="width: 20px;">
                                                    </div>
                                                    <div>
                                                        <h5 class="mb-0">{{item.userRecord[0].first_name}}</h5>
                                                        <h6 class="mb-0" style="color:#666;"><small>{{item.bid_amount}} CFA</small>
                                                        </h6>
                                                        <h6 class="mb-0" style="color:#666;"><small>{{item.created_at |date:'MMM d, y  hh\'h\'mm'}}</small>
                                                        </h6>
                                                    </div>
                                                    
                                                </div>
                                               

                                            </div>
                                            <!-- <div class="mt-2"> <span class="font-weight-bold">Boutique</span> </div>
                                            <div class="d-flex flex-row align-items-center">
                                                <img src="https://i.imgur.com/N2fYgvD.png" class="rounded-circle store-image">
                                                <div class="d-flex flex-column ml-1 comment-profile">
                                                    <div class="comment-ratings"> <i class="fa fa-star"></i> <i class="fa fa-star"></i> <i class="fa fa-star"></i> <i class="fa fa-star"></i> </div>
                                                    <span class="username">Rare Boutique</span> <small class="followers">25K Followers</small>
                                                </div>
                                            </div> -->
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

            <!-- partial -->
        </div>
        <!-- main-panel ends -->
    </div>
    <!-- page-body-wrapper ends -->
</div>